Skip to main content
`Ctrl`+`K`

# SAMPHubProxy

class astropy.samp.SAMPHubProxy

  Bases: `object`

  Proxy class to simplify the client interaction with a SAMP hub (via the standard profile).

  Attributes Summary

  `is_connected` | Whether the hub proxy is currently connected to a hub.

  Methods Summary

  `call`(private_key, recipient_id, msg_tag, message) | Proxy to `call` SAMP Hub method.
  `call_all`(private_key, msg_tag, message) | Proxy to `callAll` SAMP Hub method.
  `call_and_wait`(private_key, recipient_id, ...) | Proxy to `callAndWait` SAMP Hub method.
  `connect`([hub, hub_params, pool_size]) | Connect to the current SAMP Hub.
  `declare_metadata`(private_key, metadata) | Proxy to `declareMetadata` SAMP Hub method.
  `declare_subscriptions`(private_key, subscriptions) | Proxy to `declareSubscriptions` SAMP Hub method.
  `disconnect`() | Disconnect from the current SAMP Hub.
  `get_metadata`(private_key, client_id) | Proxy to `getMetadata` SAMP Hub method.
  `get_registered_clients`(private_key) | Proxy to `getRegisteredClients` SAMP Hub method.
  `get_subscribed_clients`(private_key, mtype) | Proxy to `getSubscribedClients` SAMP Hub method.
  `get_subscriptions`(private_key, client_id) | Proxy to `getSubscriptions` SAMP Hub method.
  `notify`(private_key, recipient_id, message) | Proxy to `notify` SAMP Hub method.
  `notify_all`(private_key, message) | Proxy to `notifyAll` SAMP Hub method.
  `ping`() | Proxy to `ping` SAMP Hub method (Standard Profile only).
  `register`(secret) | Proxy to `register` SAMP Hub method.
  `reply`(private_key, msg_id, response) | Proxy to `reply` SAMP Hub method.
  `set_xmlrpc_callback`(private_key, xmlrpc_addr) | Proxy to `setXmlrpcCallback` SAMP Hub method (Standard Profile only).
  `unregister`(private_key) | Proxy to `unregister` SAMP Hub method.

  Attributes Documentation

  is_connected

    Whether the hub proxy is currently connected to a hub.

  Methods Documentation

  call(private_key, recipient_id, msg_tag, message)

    Proxy to `call` SAMP Hub method.

  call_all(private_key, msg_tag, message)

    Proxy to `callAll` SAMP Hub method.

  call_and_wait(private_key, recipient_id, message, timeout)

    Proxy to `callAndWait` SAMP Hub method.

  connect(hub=None, hub_params=None, pool_size=20)

    Connect to the current SAMP Hub.

    Parameters:
      hub `SAMPHubServer`, optional

        The hub to connect to.

      hub_params `python:dict`, optional

        Optional dictionary containing the lock-file content of the Hub with which to connect. This dictionary has the form `{<token-name>: <token-string>, ...}`.

      pool_size `python:int`, optional

        The number of socket connections opened to communicate with the Hub.

  declare_metadata(private_key, metadata)

    Proxy to `declareMetadata` SAMP Hub method.

  declare_subscriptions(private_key, subscriptions)

    Proxy to `declareSubscriptions` SAMP Hub method.

  disconnect()

    Disconnect from the current SAMP Hub.

  get_metadata(private_key, client_id)

    Proxy to `getMetadata` SAMP Hub method.

  get_registered_clients(private_key)

    Proxy to `getRegisteredClients` SAMP Hub method.

  get_subscribed_clients(private_key, mtype)

    Proxy to `getSubscribedClients` SAMP Hub method.

  get_subscriptions(private_key, client_id)

    Proxy to `getSubscriptions` SAMP Hub method.

  notify(private_key, recipient_id, message)

    Proxy to `notify` SAMP Hub method.

  notify_all(private_key, message)

    Proxy to `notifyAll` SAMP Hub method.

  ping()

    Proxy to `ping` SAMP Hub method (Standard Profile only).

  register(secret)

    Proxy to `register` SAMP Hub method.

  reply(private_key, msg_id, response)

    Proxy to `reply` SAMP Hub method.

  set_xmlrpc_callback(private_key, xmlrpc_addr)

    Proxy to `setXmlrpcCallback` SAMP Hub method (Standard Profile only).

  unregister(private_key)

    Proxy to `unregister` SAMP Hub method.